OpenVDB 7.0.0

Public Member Functions | Friends | List of all members
SparseStencilMatrix< ValueType_, STENCIL_SIZE >::ConstValueIter Class Reference

Iterator over the stored values in a row of this matrix. More...

`#include <ConjGradient.h>`

## Public Member Functions
const ValueType & | operator* () const
SizeType | column () const
void | increment ()
ConstValueIter & | operator++ ()
| operator bool () const
void | reset ()

## Friends
class | SparseStencilMatrix

## Detailed Description

### template<typename ValueType_, SizeType STENCIL_SIZE>
class openvdb::v7_0::math::pcg::SparseStencilMatrix< ValueType_, STENCIL_SIZE >::ConstValueIter

Iterator over the stored values in a row of this matrix.

## Member Function Documentation

## ◆ column()

SizeType column | ( |  | ) | const
| inline

## ◆ increment()

void increment | ( |  | ) |
| inline

## ◆ operator bool()

operator bool | ( |  | ) | const
| inline

## ◆ operator*()

const ValueType& operator* | ( |  | ) | const
| inline

## ◆ operator++()

ConstValueIter& operator++ | ( |  | ) |
| inline

## ◆ reset()

void reset | ( |  | ) |
| inline

## Friends And Related Function Documentation

## ◆ SparseStencilMatrix

friend class SparseStencilMatrix
| friend

The documentation for this class was generated from the following file:

- ConjGradient.h